curl --request GET \
--url https://public-api.stora.co/2025-09/opportunities \
--header 'Authorization: Bearer <token>'import requests
url = "https://public-api.stora.co/2025-09/opportunities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api.stora.co/2025-09/opportunities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"opportunities": [
{
"id": "opp_127b3057d5df338e",
"archived_at": null,
"associated_at": null,
"contact": {
"id": "con_1234567890abcdef"
},
"created_at": "2025-02-22T14:41:00Z",
"creator": {
"id": "con_1234567890abcdef"
},
"deal": null,
"line_items": [
{
"item": {
"id": "plvl_e8f3ad0a07e47566"
},
"quantity": 1,
"type": "protection"
},
{
"item": {
"id": "utype_f18fc91387cdf710"
},
"quantity": 1,
"type": "unit_type"
}
],
"metadata": {},
"site": {
"id": "site_14b419f1096013f1"
},
"source": "price_reveal",
"status": "open",
"updated_at": "2025-02-22T14:41:00Z"
},
{
"id": "opp_227b3057d5df338e",
"archived_at": "2025-02-22T14:41:00Z",
"associated_at": null,
"contact": {
"id": "con_1234567890abcdef"
},
"created_at": "2025-02-22T14:41:00Z",
"creator": {
"id": "con_1234567890abcdef"
},
"deal": null,
"line_items": [
{
"item": {
"id": "plvl_e8f3ad0a07e47566"
},
"quantity": 1,
"type": "protection"
},
{
"item": {
"id": "utype_f18fc91387cdf710"
},
"quantity": 1,
"type": "unit_type"
}
],
"metadata": {},
"site": {
"id": "site_14b419f1096013f1"
},
"source": "incomplete_booking",
"status": "archived",
"updated_at": "2025-02-22T14:41:00Z"
}
],
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
],
"pagination": {
"count": 2,
"last": 1,
"limit": 50,
"next": null,
"page": 1,
"pages": 1,
"prev": null
}
}
}List all Opportunities
Retrieve a list of all opportunities.
Required authorization scope: public.opportunity:read
Authorizations
Bearer Token necessary to use API
Query Parameters
This endpoint supports expandable responses. For more, see the documentation page.
Pagination: Page number
x >= 1Pagination: Limit number of items per page.
1 <= x <= 100Filter by metadata. Use metadata[key]=value to filter by specific metadata keys.
Show child attributes
Show child attributes
{}
Sorting by attribute. Default created_at
created_at, updated_at Sorting by ASC or DESC direction. Default DESC
ASC, DESC Filter by Contact IDs. Supports multiple values separated by a comma.
Filter by Site IDs. Supports multiple values separated by a comma.
Filters results to created after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).
Filters results to created before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).
Filters results to updated after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).
Filters results to updated before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).
Filter by opportunity status. Supports multiple values separated by comma.
open, archived, associated Filter by the origin of the opportunity. Supports multiple values separated by comma. unspecified will filter by null value.
incomplete_booking, price_reveal, quote_requested, unit_type_interest, pre_opening_lead, popup_form, public_api, unspecified Was this page helpful?